ToAPIsToAPIs
Grok Imagine Video (Official)

Grok Imagine Video 视频生成 (官方通道)

使用 Grok Imagine Video 官方通道模型生成高质量视频

POST
/v1/videos/generations

国内用户请注意: 中国大陆用户请使用 https://toapis.cn 作为接口地址(Base URL)。文档示例中的 https://toapis.com 请替换为 https://toapis.cn。

  • 官方渠道 Grok Imagine 视频生成模型
  • 通过 model 参数选择 grok-imagine-video-official 模型
  • 支持文生视频、图生视频与多参考图生成
  • 异步任务管理,通过任务 ID 查询结果
  • 视频延长能力见 Grok Imagine Video 延长

重要变更:为了更好的性能和成本控制,我们不再支持在 reference_images 中直接传入 base64 图片数据。请先使用 上传图片接口 上传图片,获取 URL 后再调用本接口。

Authorizations

Authorizationstring请求头必填

所有接口均需要使用 Bearer Token 进行认证

获取 API Key:访问 API Key 管理页面 获取您的 API Key

使用时在请求头中添加:

Authorization: Bearer YOUR_API_KEY

Body

modelstring请求体必填默认值: grok-imagine-video-official

视频生成模型名称

支持的模型:

  • grok-imagine-video-official - 官方渠道 Grok Imagine 视频模型

示例:"grok-imagine-video-official"

promptstring请求体必填

视频生成的文本描述

durationinteger请求体默认值: 8

视频时长(秒)

支持范围:1–15 秒

resolutionstring请求体默认值: 720p

视频分辨率

支持值:480p、720p

aspect_ratiostring请求体

视频宽高比

支持格式:

  • 16:9(横屏)
  • 9:16(竖屏)
  • 4:3(横屏)
  • 3:4(竖屏)
  • 3:2(横屏)
  • 2:3(竖屏)
  • 1:1(方形)
imagestring请求体

可选首帧图片 URL,用于图生视频。仅支持公网可访问的 http:// 或 https:// URL。

reference_imagesstring[]请求体

多参考图生成的参考图片 URL 数组

⚠️ 仅支持 URL 格式(已不再支持 base64)

  • 公网可访问的图片 URL(http:// 或 https://)
  • image 与 reference_images 合计最多 7 张
  • 请使用 上传图片接口 上传本地图片获取 URL

计费说明:输出按秒 × 分辨率档位计费。每张输入图片(image / reference_images)单独计费。视频延长请求额外按输入源视频时长计费——见 延长。

Response

idstring

唯一任务标识,用于查询任务状态

objectstring

对象类型,始终为 generation.task

modelstring

使用的模型名称

statusstring

任务状态

  • queued - 排队等待处理
  • in_progress - 处理中
  • completed - 已完成
  • failed - 失败
created_atinteger

任务创建时间戳(Unix 时间戳)

progressinteger

任务进度,提交后通常为 0

metadataobject

任务元数据

请求示例

curl --request POST \
  --url https://toapis.com/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "grok-imagine-video-official",
    "prompt": "一只金毛犬在阳光明媚的绿色草地上奔跑",
    "duration": 10,
    "resolution": "720p",
    "aspect_ratio": "16:9"
  }'
curl --request POST \
  --url https://toapis.com/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "grok-imagine-video-official",
    "prompt": "让这只狗跑过草地",
    "image": "https://example.com/dog.jpg",
    "duration": 10,
    "resolution": "480p",
    "aspect_ratio": "16:9"
  }'
import requests

response = requests.post(
    "https://toapis.com/v1/videos/generations",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "grok-imagine-video-official",
        "prompt": "一只金毛犬在阳光明媚的绿色草地上奔跑",
        "duration": 10,
        "resolution": "720p",
        "aspect_ratio": "16:9"
    }
)

task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")
const response = await fetch('https://toapis.com/v1/videos/generations', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'grok-imagine-video-official',
    prompt: '一只金毛犬在阳光明媚的绿色草地上奔跑',
    duration: 10,
    resolution: '720p',
    aspect_ratio: '16:9'
  })
});

const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);

响应示例

{
  "id": "tsk_vid_01M59KNFZA2N4QFP0TMGACYH98",
  "object": "generation.task",
  "model": "grok-imagine-video-official",
  "status": "queued",
  "progress": 0,
  "created_at": 1768380224,
  "metadata": {}
}